
EclaireXL - Bug #22

Action and Bounty Bob Cartridges cannot be loaded

05/30/2017 03:50 PM - ndary

Status: New Start date: 05/30/2017

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

The following attached cartridges image cannot be loaded on ExclairXL

History

#1 - 05/30/2017 06:48 PM - foft

- Assignee deleted (foft)

#2 - 05/30/2017 06:49 PM - foft

Bounty Bob is expected, its a one-off cartridge type.

What cartridge type is action?

#3 - 05/30/2017 07:31 PM - ndary

- File ACTION_oss043M.car added

the attached ACTION cart is

ID #3 | 800/XL/XE |   16 | OSS two chip 16 KB cartridge (034M)

#4 - 05/30/2017 07:58 PM - sadosp

foft wrote:

Bounty Bob is expected, its a one-off cartridge type.

What cartridge type is action?

 Mark I have the logic as how to load the bounty bob, from a guy who have decode it in the past. Bernd Herale. If this will help, let me know to upload

it.

#5 - 05/30/2017 07:59 PM - sadosp

foft wrote:

Bounty Bob is expected, its a one-off cartridge type.

 Mark I have the logic as how to load the bounty bob, from a guy who have decode it in the past. Bernd Herale. If this will help, let me know to upload

it.

#6 - 05/30/2017 09:55 PM - foft

There is a file cart_logic.vhd which has the cartridge emulation logic from the turbo freezer.

Of course we can add more types. I wonder why action doesn't work, that one seems standard. Does anyone have a real action cart to try? So we

can tell if its a core problem or a cart emu problem.

#7 - 05/30/2017 11:39 PM - ndary

- File Action_1183_ossM091.car added

the problem with this specific Action bank switching cart.. just tested another model of Action cart that works well

this one use different address to switch banks
http://www.64kib.com/redmine/issues/3


#8 - 05/30/2017 11:50 PM - sadosp

- File BOUNTY BOB STRIKES BACK! (V2).ATR added

And if someone need to play BBSB on eclaireXL, below is attached a working ATR file.

#9 - 05/31/2017 12:01 AM - sadosp

Some more info's for the OSS cartridges on below link.

Seem that OSS M091 is the latest type cartridge from OSS which using one 16Kb eprom versus the two 8 Kb on previous.

[[https://sourceforge.net/p/atari800/mailman/message/27707589/]]

#10 - 05/31/2017 06:48 PM - foft

That would explain it, I only see the one 8k oss cartridge supported in the cart logic. It might be quite easy to add, will have a look.

#11 - 05/31/2017 06:49 PM - foft

- Priority changed from Normal to Low

Files

ACTION_oss043M.car 16 KB 05/30/2017 ndary

Bounty Bob Strikes Back!.car 40 KB 05/30/2017 ndary

ACTION_oss043M.car 16 KB 05/30/2017 ndary

Action_1183_ossM091.car 16 KB 05/30/2017 ndary

BOUNTY BOB STRIKES BACK! (V2).ATR 90 KB 05/30/2017 sadosp
